declare function orderingstackPlugin(config: any): {
    name: string;
    page: ({ payload }: {
        payload: any;
    }) => void;
    track: ({ payload }: {
        payload: any;
    }) => void;
    loaded: () => boolean;
};
export namespace googleAnalyticsResetExtension {
    function reset({ config }: {
        config: any;
    }): void;
}
export namespace utils {
    export { mapItemToGaItem };
    export { mapSelectedMenuToViewItemList };
    export { mapOrderToPayload };
    export { linesToGaCartItems };
    export { couponToGaPromotion };
}
declare function mapItemToGaItem(item: any): {
    item_id: any;
    item_name: any;
    item_fiscal: any;
    item_extra: any;
};
declare function mapSelectedMenuToViewItemList(product: any): {
    item_list_id: any;
    item_list_name: any;
    items: any;
};
declare function mapOrderToPayload(order: any, coupons: any, currency: any, venue: any): {
    currency: any;
    value: number;
    items: any[];
};
declare function linesToGaCartItems(lines: any, venue: any, coupons: any, quantity: any): {
    value: number;
    items: any[];
};
declare function couponToGaPromotion(coupon: any): {
    coupon: any;
    promotion_name: any;
};
export { orderingstackPlugin as default };
//# sourceMappingURL=index.es.d.ts.map