export declare function getRandomValues(size: number): number[];
export declare function generateCodeVerifier(size: number): string;
export declare enum CodeChallengeEncoding {
    Base64Url = 0,
    UriEncodedBase64 = 1
}
export declare function generateCodeChallenge(code_verifier: string, encoding: CodeChallengeEncoding): string;
export type PkceChallenge = {
    code_verifier: string;
    code_challenge: string;
};
export declare function generatePkceChallenge(encoding?: CodeChallengeEncoding, length?: number): PkceChallenge;
export declare function verifyChallenge(code_verifier: string, code_challenge: string, encoding: CodeChallengeEncoding): boolean;
//# sourceMappingURL=pkce.d.ts.map